Subject: Re: bug#57306: guix pull to old commit fails due to unsupported manifest format
From: Ludovic Courtès <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: [email-masked], zimoun <[email-masked]>
Date: Wed, 31 Aug 2022 13:06:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Arun Isaac <[email-masked]> skribis:

>> I do not think it is related to guix-daemon and I think it is expected;
>> indeed it could be considered as a bug.  The command-line,
>>
>>     guix pull --commit=xyz -p /tmp/test
>>
>> writes /tmp/test/manifest using the current Guix (say manifest 4) and
>> not using Guix at commit xyz (say manifest 3).  Contrary to “guix
>> time-machine --commit=xyz”.
>
> Ah, that makes sense! Any ideas as to how this issue might be fixed?

I fixed it in 67a6828b2bb821274757f686f7c685b664339a96 using the same
trick as earlier.

Thanks!

Ludo’.